/******************************************************************************
 *                                                                            *
 * File:   setenv.h           Version  1.20            Date: 1998-03-11       *
 *                                                                            *
 * Copyright (C) 1992-1998 by Kostis Netzwerkberatung                         *
 * Talstr. 25, D-63322 Rdermark, Tel. +49 6074 881056, FAX 881058            *
 * kosta@kostis.net (Kosta Kostis), http://www.kostis.net/                    *
 *                                                                            *
 * You may use this program free of charge at your own risk.                  *
 *                                                                            *
 ******************************************************************************
 *                                                                            *
 * History:                                                                   *
 *     1998-03-11: KK V1.20                                                   *
 *        - more detailed error codes                                         *
 *     1992-09-03: KK V1.10                                                   *
 *        - added Get*EnvVar () and Get*EnvRoot ()                            *
 *     1992-07-30: KK V1.03                                                   *
 *        - see EnvLib.asm                                                    *
 *     1992-03-25: KK V1.02                                                   *
 *        - now fully supports "foreign" characters in variable names         *
 *     1992-03-13: KK V1.01                                                   *
 *        - added new new function to work on master env. SetMEnvVar ()       *
 *        - other minor internal changes                                      *
 *     1992-03-08: KK V1.00                                                   *
 *        - initial coding                                                    *
 *                                                                            *
 *****************************************************************************/

/******************************************************************************

	Program Return Codes

 *****************************************************************************/

#define SETENVVAR_OK		0
#define SETENVVAR_ERROR		1
#define SETENVVAR_DOS		2
#define	SETENVVAR_MCB		3
#define	SETENVVAR_MEM		4
#define SETENVVAR_NULL		5

/******************************************************************************

	Function Prototype(s)

 *****************************************************************************/

extern	int	SetPEnvVar (char far *VarName, char far *VarContent) ;
extern	int	SetMEnvVar (char far *VarName, char far *VarContent) ;
#define SetEnvVar SetPEnvVar
extern	char far	*GetPEnvVar (char far *VarName) ;
extern	char far	*GetMEnvVar (char far *VarName) ;
#define	GetEnvVar GetPEnvVar
extern	char far	*GetPEnvRoot (void) ;
extern	char far	*GetMEnvRoot (void) ;
extern	int		GetDOSVer (void) ;

/******************************************************************************

	Note:

	SetPEnvVar () works on the parent environment
	SetEnvVar  () is identical to SetPEnvVar () - for compatibility
	SetMEnvVar () works on the master environment

 *****************************************************************************/
